#
# spec file for package leafnode (Version 1.9.19)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         leafnode
Copyright:    GPL (see COPYING)
Group:        Applications/News
Provides:     leafnode nntp_daemon
Conflicts:    inn cnews
Autoreqprov:  on
Version:      1.9.19
Release:      40
Summary:      A leafsite NNTP server
URL:          http://www.leafnode.org
Source0:      ftp://wpxx02.toxi.uni-wuerzburg.de/pub/leafnode-%{version}.tar.bz2
Source1:      README.SuSE
Source2:      leafnode.cron.daily
Patch:        leafnode-%{version}.dif
BuildRoot:    %{_tmppath}/%{name}-root

%description
Leafnode is a small NNTP server for leaf sites without permanent
connection to the internet. It supports a subset of NNTP and is able to
automatically fetch the newsgroups the user reads regularly from the
newsserver of the ISP.

Authors:
--------
    Arnt Gulbrandsen <agulbra@troll.no>
    Cornelius Krasel <krasel@wpxx02.toxi.uni-wuerzburg.de>
    Kent Robotti <robotti@erols.com>
    Markus Enzenberger <enz@cip.physik.uni-muenchen.de>
    Randolf Skerka <rskerka@metronet.de>

SuSE series: n

%prep
%setup
%patch

%build
%define prefix /usr
CXXFLAGS="$RPM_OPT_FLAGS"
./configure --prefix=%{prefix} \
            --libdir=/etc/leafnode \
  		    --mandir=%{_mandir}
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
make INSTALLROOT=$RPM_BUILD_ROOT install
mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/cron.daily
install -m 755 -o root -g root %{SOURCE2} $RPM_BUILD_ROOT/%{_sysconfdir}/cron.daily/%{name}
mv $RPM_BUILD_ROOT/etc/leafnode/config.example $RPM_BUILD_ROOT/etc/leafnode/config
install -m 644 %{SOURCE1} -o root -g root .
install -m 640 -o root -g news filters $RPM_BUILD_ROOT/etc/leafnode
install -d -m 755 -o root -g root $RPM_BUILD_ROOT%{_mandir}/de/man1
install -d -m 755 -o root -g root $RPM_BUILD_ROOT%{_mandir}/de/man8
install -m 644 -o root -g root doc_german/man/man1/* $RPM_BUILD_ROOT%{_mandir}/de/man1
install -m 644 -o root -g root doc_german/man/man8/* $RPM_BUILD_ROOT%{_mandir}/de/man8

%clean
# Clear up the mess
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;

%pre
# Only send this message, if it is an update from an old version
if [ -d usr/lib/leafnode ]
then
mkdir -p var/adm/notify/messages
cat << EOT > var/adm/notify/messages/leafnode-changes
<English version below>
Hallo,
ab Version 1.9.2 hat sich das Verzeichnis der Konfigurationsdateien
gendert. Sie befinden sich nun unter /etc/leafnode anstatt unter
/usr/lib/leafnode.
Falls Sie Ihre Konfigurationsdatei gendert haben, befindet sich die
Sicherungskopie unter /usr/lib/leafnode/config.rpmsave.  Bitte bernehmen
Sie Ihre Anpassungen manuell in die neue Konfigurationsdatei.
Achtung: Wenn Sie von einer lteren Version (vor 1.9.3) updaten, fhren
Sie bitte zuerst das Shellscript /usr/share/doc/packages/leafnode/update.sh aus:
cd /usr/share/doc/packages/leafnode
./update.sh /var/spool/news/ /etc/leafnode /var/lock/news/fetchnews.lck
Hierbei werden die Datei groupinfo und ein paar weitere
umorganisiert (groupinfo wird nun nicht mehr case-sensitiv sortiert).
Falls hierbei etwas schief geht, finden Sie die alte Datei unter
/var/spool/news/leaf.node/groupinfo.old. Wenn das Script erfolgreich
durchgelaufen ist, konnen Sie diese Datei anschlieend lschen.
Hinweis: Das Programm /usr/sbin/fetch heit seit Version 1.9.3
/usr/sbin/fetchnews. Bitte passen Sie cronjobs oder sonstige Scripten
(z.B. /etc/ppp/ip-up) entsprechend an.
-------------------------------------------------------------------------
Hi,
since version 1.9.2, the directory for configuration files has been changed.
They can now be found under /etc/leafnode instead of /usr/lib/leafnode.
If you have modified your configuration file, you will find the backup
at /usr/lib/leafnode/config.rpmsave. Please apply your changes manually
to the new configuration file.
Attention: If you are updating from a previous release (before 1.9.3) run the
shell script /usr/share/doc/packages/leafnode/update.sh first: 
cd /usr/share/doc/packages/leafnode
./update.sh /var/spool/news/ /etc/leafnode /var/lock/news/fetchnews.lck
	    
Your groupinfo file will be reformatted (groupinfo is now sorted in a
case-insensitive manner) and some other files will be moved around.
In case something goes wrong, you will find your old groupinfo file
in /var/spool/news/leaf.node/groupinfo.old. If everything works out
correctly, you can delete this file (it is not needed any more).
Note: Since version 1.9.3 the program /usr/sbin/fetch is now called
/usr/sbin/fetchnews. Please adjust cron-jobs or other scripts accordingly.
Have a lot of fun...
	Your SuSE-Team
EOT
fi

%files
%config(noreplace) /etc/leafnode/config
%config(noreplace) /etc/leafnode/filters
%config (noreplace) %{_sysconfdir}/cron.daily/%{name}
%dir /etc/leafnode
%dir /var/lock/news
%doc ChangeLog COPYING CREDITS FAQ INSTALL 
%doc README README.SuSE TODO doc_german/txt/INSTALL_de
%doc doc_german/txt/README_de update.sh leafnode-%{version}.lsm
%doc %{_mandir}/de/man1/newsq.1.gz
%doc %{_mandir}/de/man8/applyfilter.8.gz
%doc %{_mandir}/de/man8/checkgroups.8.gz
%doc %{_mandir}/de/man8/fetchnews.8.gz
%doc %{_mandir}/de/man8/leafnode.8.gz
%doc %{_mandir}/de/man8/texpire.8.gz
%doc %{_mandir}/man1/newsq.1.gz
%doc %{_mandir}/man7/pcre.7.gz
%doc %{_mandir}/man8/applyfilter.8.gz
%doc %{_mandir}/man8/checkgroups.8.gz
%doc %{_mandir}/man8/fetchnews.8.gz
%doc %{_mandir}/man8/leafnode.8.gz
%doc %{_mandir}/man8/texpire.8.gz
/usr/bin/newsq
/usr/sbin/applyfilter
/usr/sbin/checkgroups
/usr/sbin/fetchnews
/usr/sbin/leafnode
/usr/sbin/texpire
/var/spool/news

%changelog -n leafnode
* Wed Jul 11 2001 - grimmer@suse.de
- Update to 1.9.19 (bugfix release)
- added "su - news -c" to texpire call in daily cron job
* Wed May 02 2001 - grimmer@suse.de
- added check for existing groupinfo file to cron job
  to avoid unnecessary junk mail to root if fetchnews has
  not been run yet (#7457)
- minor changes to README.SuSE
* Sun Feb 11 2001 - grimmer@suse.de
- added /etc/cron.daily/leafnode to expire old articles
  (obsoletes the entry in /etc/crontab) (#6259)
* Tue Dec 05 2000 - grimmer@suse.de
- Update to 1.9.18 (bugfix release)
- bzipped sources
- removed README.SuSE from patch and added as a separate
  source file instead
* Thu Oct 05 2000 - grimmer@suse.de
- Update to 1.9.17 (bugfixes)
- corrected a path name in README.SuSE
- specfile correction: only send mail to root, if
  there was an update from a very old version
* Tue Aug 08 2000 - grimmer@suse.de
- Update to 1.9.15
* Mon Jun 19 2000 - grimmer@suse.de
- Update to 1.9.14
* Thu Mar 30 2000 - grimmer@suse.de
- Update to 1.9.12 (bugfixes)
* Thu Feb 24 2000 - grimmer@suse.de
- Update to 1.9.11 (bugfixes)
* Sun Feb 20 2000 - grimmer@suse.de
- patched Makefile.in to actually use mandir
* Thu Feb 17 2000 - grimmer@suse.de
- update to 1.9.10
- spec file cleanups
- added Group Tag and URL
- added german documentation and man pages
- use version and mandir macro in spec file
- marked config files as "noreplace"
* Tue Nov 23 1999 - grimmer@suse.de
- Added Y2K patch to nntpd.c
* Sat Oct 02 1999 - grimmer@suse.de
- added Provides nntp_daemon to specfile
- modified update notice
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon Aug 02 1999 - grimmer@suse.de
- update to 1.9.4
- added update.sh to $DOCDIR and adjusted README.SuSE
- fetch is now called fetchnews
* Wed Apr 28 1999 - ro@suse.de
- configure: hardcoded paths for RPM: detections breaks with rpm-3.0
* Wed Mar 10 1999 - grimmer@suse.de
- Updated specfile to send mail to root when updating from previous
  releases
- created sample filter configuration file
* Thu Mar 04 1999 - grimmer@suse.de
- update to Version 1.9.2
- now uses /etc/leafnode for configuration files
- changed permissions of /etc/leafnode/config (security reasons)
- now uses /var/lock/news for locking instead of /var/run
* Tue Feb 16 1999 - grimmer@suse.de
- update to Version 1.9
- now uses GNU autoconf
* Thu Jan 28 1999 - grimmer@suse.de
- update to Version 1.8.1
* Thu Dec 10 1998 - grimmer@suse.de
- update to Version 1.7.1
* Tue Nov 10 1998 - grimmer@suse.de
- New package (Version 1.6.2)
